ScheduleMonthlyValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.scheduler.ScheduleMonthlyValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.scheduler
Class ScheduleMonthlyValue

    java.lang.Object
      org.hyperic.hq.scheduler.ScheduleValue
          org.hyperic.hq.scheduler.ScheduleMonthlyValue

All Implemented Interfaces:
  java.io.Serializable

    public class ScheduleMonthlyValue

extends ScheduleValue

See Also:
  Serialized Form

Constructor Summary
`ScheduleMonthlyValue(java.util.Date start, java.util.Date end, int interval)`

Method Summary
`int` | `getDay()`
`int` | `getDayOfWeek()`
`java.lang.String` | `getScheduleString()`
`int` | `getWeekOfMonth()`
`boolean` | `isOffset()`
`void` | `setDay(int day)`
`void` | `setDayOfWeek(int dayOfWeek)`
`void` | `setWeekOfMonth(int weekOfMonth)`

Methods inherited from class org.hyperic.hq.scheduler.ScheduleValue
`getDescription, getEnd, getInterval, getNumberWithSuffix, getStart, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleMonthlyValue

    public ScheduleMonthlyValue(java.util.Date start,
                                java.util.Date end,
                                int interval)

Method Detail

### getScheduleString

    public java.lang.String getScheduleString()

  Specified by:
    `getScheduleString` in class `ScheduleValue`

### setDay

    public void setDay(int day)

### setDayOfWeek

    public void setDayOfWeek(int dayOfWeek)

### setWeekOfMonth

    public void setWeekOfMonth(int weekOfMonth)

### getDay

    public int getDay()

### getDayOfWeek

    public int getDayOfWeek()

### getWeekOfMonth

    public int getWeekOfMonth()

### isOffset

    public boolean isOffset()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.